Bug 1674854 - enblend: FTBFS in Fedora rawhide/f30
Summary: enblend: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: enblend
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Postle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:08 UTC by Fedora Release Engineering
Modified: 2019-05-11 19:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-11 19:54:24 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:08 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:08 UTC, Fedora Release Engineering
no flags Details
state.log (469 bytes, text/plain)
2019-02-11 17:08 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:08:42 UTC
enblend failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32380430


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix enblend at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
enblend will be orphaned. Before branching of Fedora 31,
enblend will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:08:44 UTC
Created attachment 1529840 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:08:46 UTC
Created attachment 1529841 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:08:47 UTC
Created attachment 1529842 [details]
state.log

Comment 4 Bruno Postle 2019-02-16 09:09:29 UTC
This seems to be a LaTeX problem, the PDF documentation fails to build, but a DVI file assembled from the same LaTeX source succeeds: 

./common-fdl.tex:10:  ==> Fatal error occurred, no output PDF file produced!
make[2]: Leaving directory '/builddir/build/BUILD/enblend-enfuse-4.2/doc'
BUILDSTDERR: make[2]: *** [Makefile:912: enblend.pdf] Error 1

[...]

Output written on enblend.dvi (79 pages, 192624 bytes).

Comment 5 Fedora Release Engineering 2019-04-26 23:26:52 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Bruno Postle 2019-05-11 19:54:24 UTC
Fixed by disabling packaged PDF documentation


Note You need to log in before you can comment on or make changes to this bug.